import { ProductDetailsBlogCategoryListClient } from "@/components/shared/product-details-blog-category-list-client";
import { Locale } from "@/i18n/routing";
import { getProductDetailsBlogCategoryList } from "@/utils/get-fake-data";

interface ProductDetailsBlogCategoryListProps {
  locale: Locale;
}

export default async function ProductDetailsBlogCategoryList({
  locale,
}: ProductDetailsBlogCategoryListProps) {
  const data = await getProductDetailsBlogCategoryList();

  return <ProductDetailsBlogCategoryListClient data={data} locale={locale} />;
}
